#!/bin/bash

### You need to edit sudoers file to run wg-quick without password

# %admin		ALL = (ALL) NOPASSWD: /nix/store/s2qw0sxax8pckbzmyw6wrarahmx65bq9-wireguard-tools-1.0.20210914/bin/wg-quick

WG_PIDFILE="/var/run/wireguard/wg0.name"

if [ -f $WG_PIDFILE ]; then
  sketchybar -m --set vpn icon= \
    label="$VPN" \
    drawing=on \
    click_script="~/.config/sketchybar/plugins/wg_off.sh"
else
  sketchybar -m --set vpn drawing=off click_script="~/.config/sketchybar/plugins/wg_on.sh"
fi
